Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(12)

Issue 2756113002: Move naming related code in make_computed_style_base to name_utilities. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 months, 1 week ago by shend
Modified:
2 months ago
Reviewers:
alancutter
CC:
blink-reviews, chromium-reviews
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move naming related code in make_computed_style_base to name_utilities. Currently make_computed_style_base is sprinkled with a lot of code related to variable names and method names. These are common pieces of logic that can be reused by other generators as well. This patch tidies up make_computed_style_base by moving naming logic to name_utilities.py. BUG=628043 Review-Url: https://codereview.chromium.org/2756113002 Cr-Commit-Position: refs/heads/master@{#458635} Committed: https://chromium.googlesource.com/chromium/src/+/a6bfb94ddcb95eef883d62b3d65de8e13192e90c

Patch Set 1 #

Total comments: 6

Patch Set 2 : Rebase #

Patch Set 3 : Rebase #

Patch Set 4 : Rebase #

Total comments: 2

Patch Set 5 : Rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+98 lines, -67 lines) Patch
M third_party/WebKit/Source/build/scripts/css_properties.py View 1 2 3 4 3 chunks +10 lines, -11 lines 0 comments Download
M third_party/WebKit/Source/build/scripts/make_computed_style_base.py View 1 2 3 4 9 chunks +41 lines, -45 lines 0 comments Download
M third_party/WebKit/Source/build/scripts/name_utilities.py View 1 3 chunks +47 lines, -11 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 41 (30 generated)
shend
Hi Alan, PTAL
2 months, 1 week ago (2017-03-17 04:15:31 UTC) #2
alancutter
https://codereview.chromium.org/2756113002/diff/1/third_party/WebKit/Source/build/scripts/name_utilities.py File third_party/WebKit/Source/build/scripts/name_utilities.py (right): https://codereview.chromium.org/2756113002/diff/1/third_party/WebKit/Source/build/scripts/name_utilities.py#newcode138 third_party/WebKit/Source/build/scripts/name_utilities.py:138: # High level API Not sure if these comment ...
2 months ago (2017-03-20 05:10:17 UTC) #3
shend
Split CL and addressed comments, PTAL again Alan :) https://codereview.chromium.org/2756113002/diff/1/third_party/WebKit/Source/build/scripts/name_utilities.py File third_party/WebKit/Source/build/scripts/name_utilities.py (right): https://codereview.chromium.org/2756113002/diff/1/third_party/WebKit/Source/build/scripts/name_utilities.py#newcode138 third_party/WebKit/Source/build/scripts/name_utilities.py:138: ...
2 months ago (2017-03-20 21:26:12 UTC) #5
alancutter
lgtm https://codereview.chromium.org/2756113002/diff/60001/third_party/WebKit/Source/build/scripts/make_computed_style_base.py File third_party/WebKit/Source/build/scripts/make_computed_style_base.py (right): https://codereview.chromium.org/2756113002/diff/60001/third_party/WebKit/Source/build/scripts/make_computed_style_base.py#newcode210 third_party/WebKit/Source/build/scripts/make_computed_style_base.py:210: name_for_methods = property_['name'] It's weird to call this ...
2 months ago (2017-03-21 04:56:47 UTC) #18
shend
https://codereview.chromium.org/2756113002/diff/60001/third_party/WebKit/Source/build/scripts/make_computed_style_base.py File third_party/WebKit/Source/build/scripts/make_computed_style_base.py (right): https://codereview.chromium.org/2756113002/diff/60001/third_party/WebKit/Source/build/scripts/make_computed_style_base.py#newcode210 third_party/WebKit/Source/build/scripts/make_computed_style_base.py:210: name_for_methods = property_['name'] On 2017/03/21 at 04:56:47, alancutter wrote: ...
2 months ago (2017-03-21 22:53:43 UTC) #19
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756113002/80001
2 months ago (2017-03-22 00:28:48 UTC) #26
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator-xcode-clang on master.tryserver.chromium.mac (JOB_TIMED_OUT, build hasn't started yet, builder ...
2 months ago (2017-03-22 02:30:02 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756113002/80001
2 months ago (2017-03-22 02:53:05 UTC) #30
commit-bot: I haz the power
Try jobs failed on following builders: ios-simulator on master.tryserver.chromium.mac (JOB_TIMED_OUT, build hasn't started yet, builder ...
2 months ago (2017-03-22 03:17:34 UTC) #32
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2756113002/80001
2 months ago (2017-03-22 04:56:40 UTC) #38
commit-bot: I haz the power
2 months ago (2017-03-22 05:12:22 UTC) #41
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/a6bfb94ddcb95eef883d62b3d65d...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 650457f06